UpdateImageStoreBackupStorage
UpdateImageStoreBackupStorage
PUT
/zstack/v1/backup-storage/image-store/{uuid}/actionsOperation ID
UpdateImageStoreBackupStorageSince
1.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe ImageStore backup storage UUID.
Body Fields
usernameStringOptional. The SSH username of the ImageStore backup storage. This parameter is used to deploy Ansible.
passwordStringOptional. The SSH password of the ImageStore backup storage.
hostnameStringOptional. The hostname of the ImageStore backup storage.
sshPortIntegerOptional. The SSH port of the ImageStore backup storage.
nameStringOptional. The new name of the ImageStore backup storage.
